net.i2p.BOB

## Class I2Plistener

- java.lang.Object
- - net.i2p.BOB.I2Plistener

All Implemented Interfaces:
  Runnable

    public class I2Plistener
    extends Object
    implements Runnable

Listen on I2P and connect to TCP

Author:
  sponge

### Field Summary

Fields
`I2PServerSocket` `serverSocket`
`I2PSocketManager` `socketManager`

### Constructor Summary

Constructors
Constructor and Description
`I2Plistener(I2PServerSocket SS, I2PSocketManager S, NamedDB info, NamedDB database, Log _log, AtomicBoolean lives)` Constructor

### Method Summary

Methods
`void` `run()` Simply listen on I2P port, and thread connections

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### socketManager

    public I2PSocketManager socketManager

#### serverSocket

    public I2PServerSocket serverSocket

### Constructor Detail

#### I2Plistener

    I2Plistener(I2PServerSocket SS,
               I2PSocketManager S,
               NamedDB info,
               NamedDB database,
               Log _log,
               AtomicBoolean lives)

Constructor

Parameters:
  `SS` -
  `S` -
  `info` -
  `database` -
  `_log` -

### Method Detail

#### run

    public void run()

Simply listen on I2P port, and thread connections

Specified by:
  `run` in interface `Runnable`